package com.gree.mall.miniapp.logic.common.kuaidi100.core;


import com.gree.mall.miniapp.logic.common.kuaidi100.pojo.HttpResult;
import com.gree.mall.miniapp.logic.common.kuaidi100.request.BaseRequest;
import com.gree.mall.miniapp.logic.common.kuaidi100.response.BaseResponse;

/**
 * @Author: api.kuaidi100.com
 * @Date: 2020-11-25 16:09
 */
public interface IBaseClient {

    HttpResult execute(BaseRequest request) throws Exception;

    BaseResponse executeToObject(BaseRequest request) throws Exception;

    void setTimeOut(int connectTimeout,int socketTimeout);
}
